///////////////////////////////////////////////////////////////////////////
void dibuja_2(float a,float b,float c,float incre1,float incre2,int mcolor,int seguir,float esca){
	float color=float(mcolor);
	Punto punto;
	punto.ejes(0.0);
	punto.sigue(seguir-1);
	float x,y,z;
	for(float t2=0.0;t2<c&&!kbhit();t2+=incre1){
		z=c*pow(t2,2.0);
		punto.color(int(color));color+=32.0/(c/incre1);
		for(float t1=0.0;t1<=2.0*PI+incre2;t1+=incre2){
			x=a*t2*sin(t1);
			y=b*t2*cos(t1);
			punto.pone(x*esca,y*esca,z*esca);
		}
		punto.limpia();
		if(t2<0.0)punto.ejes(-1.0);
	}
	punto.ejes(esca*pow(c,3.0));
	while(kbhit())getch();
}
/////////////////////////////////////////////////////////////////////////
void grafica2(PALETA paleta){
	AYUDA ayuda;
	mhide();cleardevice();mshow();
	BUTTON salir(105,700,1,"Regresar","Presione para ir al menu Principal");
	BUTTON bot1(105,400,1,"Graficar","Actualiza grafica con los nuevos parametros");
	BUTTON escala(107,660,2,"Escala:100 pixels x u","Modifica el valor inicial de 100 pixeles por unidad");
	float esca=100.0;
	char cadena[30];
	TEXTBOX a,b,c,t1,t2;
	LISTBOX<tipo_texto> color(30,535,3,150,"Color",2);
	LISTBOX<tipo_texto> tipo_linea(30,470,2,150,"Graficar con:",1);
	LISTBOX<tipo_texto> redibuja(30,610,2,150,"Redibujar:",3);
	int sale=0;
	a.datos(110,130,50);a.text("1.5");
	b.datos(110,160,50);b.text("1.5");
	c.datos(110,190,50);c.text("1.2");
	t1.datos(80,270,50);t1.text("1000");
	t2.datos(80,340,50);t2.text("30");
	redibuja.carga("datos\\redi.lst");
	redibuja.selecciona(1);

	tipo_linea.carga("datos\\tipos.lst");color.carga("datos\\color.lst");
	color.selecciona(2);tipo_linea.selecciona(2);
	salir.show();bot1.show();color.show();
	redibuja.show();tipo_linea.show();escala.show();mhide();
	for(int i=0;i<16;i++){setcolor(31-i);rectangle(1+i,1+i,1023-i,767-i);}
	for(i=0;i<16;i++){setcolor(31-i);rectangle(200+i,1+i,1023-i,767-i);}
	settextstyle(TRIPLEX_FONT,HORIZ_DIR,3);
	settextjustify(LEFT_TEXT,CENTER_TEXT);
	setcolor(10);outtextxy(70,133,"a=");
	setcolor(11);outtextxy(70,163,"b=");
	setcolor(12);outtextxy(70,193,"c=");
	setcolor(13);outtextxy(27,250,"# pasos en z");
	setcolor(14);outtextxy(27,320,"# pasos en xy");mshow();
	paleta.sube(5);
	dibuja_2(atof(a.text()),atof(b.text()),atof(c.text()),atof(c.text())/atof(t1.text()),2.0*PI/atof(t2.text()),(color.actual()-1)*32+16,tipo_linea.actual(),esca); //funcion 1, color mas bajo
	while(sale==0){
		mouse.actualiza();
		color.verifica();
		tipo_linea.verifica();
		redibuja.verifica();
		a.verifica();
		b.verifica();
		c.verifica();
		t1.verifica();
		t2.verifica();
		if(escala.verifica()){strcpy(cadena,ayuda.pregunta("Nueva Escala? (default: 100 pixeles x unidad):"));
			esca=atof(cadena);
			sprintf(cadena,"Escala:%d pixels x u",int(esca));
			escala.cambia(cadena);}
		if(salir.verifica())sale=1;
		if(bot1.verifica()){
			if(redibuja.actual()==1){setviewport(216,16,1007,750,1);
			clearviewport();setviewport(0,0,1023,767,1);}
			dibuja_2(atof(a.text()),atof(b.text()),atof(c.text()),atof(c.text())/atof(t1.text()),2.0*PI/atof(t2.text()),(color.actual()-1)*32+16,tipo_linea.actual(),esca); //funcion 1, color mas bajo
			}
	}
	paleta.baja(5);
}
