///////////////////////////////////////////////////////////////////////////
void dibuja_7(float r1,float r2,float incre1,float incre2,int mcolor,int seguir,float esca){
	float color=float(mcolor);
	Punto punto;
	punto.ejes(0.0);
	punto.sigue(seguir-1);
	float x,y,z;
	for(float t2=PI;t2>=0.0&&!kbhit();t2-=incre1){
		z=r2*cos(t2);
		punto.color(int(color));color+=30.0/(PI/incre1);
		for(float t1=0.0;t1<=2.0*PI+incre2;t1+=incre2){
			x=(r1+r2*sin(t2))*sin(t1);
			y=(r1+r2*sin(t2))*cos(t1);
			punto.pone(x*esca,y*esca,z*esca);
		}
		punto.limpia();
		for(t1=0.0;t1<=2.0*PI+incre2;t1+=incre2){
			x=(r1+r2*sin(-t2))*sin(t1);
			y=(r1+r2*sin(-t2))*cos(t1);
			punto.pone(x*esca,y*esca,z*esca);
		}
		punto.limpia();
		if(t2>PI/2.0)punto.ejes(-1.0);
	}
	punto.ejes(1.0);
	while(kbhit())getch();
}
/////////////////////////////////////////////////////////////////////////
void grafica7(PALETA paleta){
	AYUDA ayuda;
	mhide();cleardevice();mshow();
	BUTTON salir(105,700,1,"Regresar","Presione para ir al menu Principal");
	BUTTON bot1(105,400,1,"Graficar","Actualiza grafica con los nuevos parametros");
	BUTTON escala(107,660,2,"Escala:100 pixels x u","Modifica el valor inicial de 100 pixeles por unidad");
	float esca=100.0;
	char cadena[30];
	TEXTBOX r1,r2,t1,t2;
	LISTBOX<tipo_texto> color(30,535,3,150,"Color",2);
	LISTBOX<tipo_texto> tipo_linea(30,470,2,150,"Graficar con:",1);
	LISTBOX<tipo_texto> redibuja(30,610,2,150,"Redibujar:",3);
	int sale=0;
	r1.datos(110,130,50);r1.text("2.0");
	r2.datos(110,160,50);r2.text("0.7");
	t1.datos(80,270,50);t1.text("1000");
	t2.datos(80,340,50);t2.text("7");
	redibuja.carga("datos\\redi.lst");
	redibuja.selecciona(1);
	tipo_linea.carga("datos\\tipos.lst");color.carga("datos\\color.lst");
	color.selecciona(6);tipo_linea.selecciona(2);
	salir.show();bot1.show();color.show();
	redibuja.show();tipo_linea.show();escala.show();mhide();
	for(int i=0;i<16;i++){setcolor(31-i);rectangle(1+i,1+i,1023-i,767-i);}
	for(i=0;i<16;i++){setcolor(31-i);rectangle(200+i,1+i,1023-i,767-i);}
	settextstyle(TRIPLEX_FONT,HORIZ_DIR,3);
	settextjustify(LEFT_TEXT,CENTER_TEXT);
	setcolor(10);outtextxy(70,133,"r1=");
	setcolor(11);outtextxy(70,163,"r2=");
	setcolor(13);outtextxy(27,250,"# pasos en z");
	setcolor(14);outtextxy(27,320,"# pasos en xy");mshow();
	paleta.sube(5);
	dibuja_7(atof(r1.text()),atof(r2.text()),PI/atof(t1.text()),2.0*PI/atof(t2.text()),(color.actual()-1)*32+18,tipo_linea.actual(),esca); //funcion 1, color mas bajo
	while(sale==0){
		mouse.actualiza();
		color.verifica();
		tipo_linea.verifica();
		redibuja.verifica();
		r1.verifica();
		r2.verifica();
		t1.verifica();
		t2.verifica();
		if(escala.verifica()){strcpy(cadena,ayuda.pregunta("Nueva Escala? (default: 100 pixeles x unidad):"));
			esca=atof(cadena);
			sprintf(cadena,"Escala:%d pixels x u",int(esca));
			escala.cambia(cadena);}
		if(salir.verifica())sale=1;
		if(bot1.verifica()){
			if(redibuja.actual()==1){setviewport(216,16,1007,750,1);
			clearviewport();setviewport(0,0,1023,767,1);}
			dibuja_7(atof(r1.text()),atof(r2.text()),PI/atof(t1.text()),2.0*PI/atof(t2.text()),(color.actual()-1)*32+18,tipo_linea.actual(),esca); //funcion 1, color mas bajo
			}
	}
	paleta.baja(5);
}
